QCAT - Task #1783

User Story # 1781 (Closed): Versioning of configuration

Configuration: database layout changes
06 Feb 2018 14:26 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 15.00 hours
Target version: Carbon Benefit Spent time: 15.00 hours
Resolution:

Description

Notes

* New naming regime: use years (and optionally months) to indicate version
¢ Configurations must be aware of their 'version history’
¢ Methods to gather documentation and help texts

Estimate breakdown

¢ Potential overlap with #1782

e Migration, including data migration: 4h

¢ Access previous / next version of configuration by type: 4h
¢ Methods for documentation: 1h (required for #1778)

e Tests: 6h

History

#1 - 06 Feb 2018 17:58 - Sebastian Manger
- translation missing: en.field_tag_list set to Required

- Description updated

#2 - 06 Feb 2018 18:00 - Sebastian Manger
- Estimated time set to 15.00 h

#3 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#4 - 27 Feb 2018 09:54 - Kurt Gerber
- Priority changed from Normal to High

#5 - 05 Apr 2018 09:42 - Sebastian Manger

- Status changed from Accepted to In Progress

#6 - 05 Apr 2018 10:03 - Sebastian Manger

- Status changed from In Progress to Resolved

#7 - 26 Apr 2018 09:46 - Kurt Gerber

- Status changed from Resolved to Closed
